=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2008-12-23 18:50:53 +0000
+++ drizzled/definitions.h	2009-01-05 07:47:52 +0000
@@ -220,10 +220,8 @@
 #define TRANS_ALLOC_BLOCK_SIZE		4096
 #define TRANS_ALLOC_PREALLOC_SIZE	4096
 #define RANGE_ALLOC_BLOCK_SIZE		4096
-#define ACL_ALLOC_BLOCK_SIZE		1024
 #define UDF_ALLOC_BLOCK_SIZE		1024
 #define TABLE_ALLOC_BLOCK_SIZE		1024
-#define BDB_LOG_ALLOC_BLOCK_SIZE	1024
 #define WARN_ALLOC_BLOCK_SIZE		2048
 #define WARN_ALLOC_PREALLOC_SIZE	1024
 #define PROFILE_ALLOC_BLOCK_SIZE  2048
@@ -654,37 +652,6 @@
 #define HA_KEY_SCAN_NOT_ROR     128
 #define HA_DO_INDEX_COND_PUSHDOWN  256 /* Supports Index Condition Pushdown */
 
-
-
-/*
-  HA_PARTITION_FUNCTION_SUPPORTED indicates that the function is
-  supported at all.
-  HA_FAST_CHANGE_PARTITION means that optimised variants of the changes
-  exists but they are not necessarily done online.
-
-  HA_ONLINE_DOUBLE_WRITE means that the handler supports writing to both
-  the new partition and to the old partitions when updating through the
-  old partitioning schema while performing a change of the partitioning.
-  This means that we can support updating of the table while performing
-  the copy phase of the change. For no lock at all also a double write
-  from new to old must exist and this is not required when this flag is
-  set.
-  This is actually removed even before it was introduced the first time.
-  The new idea is that handlers will handle the lock level already in
-  store_lock for ALTER Table partitions.
-
-  HA_PARTITION_ONE_PHASE is a flag that can be set by handlers that take
-  care of changing the partitions online and in one phase. Thus all phases
-  needed to handle the change are implemented inside the storage engine.
-  The storage engine must also support auto-discovery since the frm file
-  is changed as part of the change and this change must be controlled by
-  the storage engine. A typical engine to support this is NDB (through
-  WL #2498).
-*/
-#define HA_PARTITION_FUNCTION_SUPPORTED         (1L << 1)
-#define HA_FAST_CHANGE_PARTITION                (1L << 2)
-#define HA_PARTITION_ONE_PHASE                  (1L << 3)
-
 /* operations for disable/enable indexes */
 #define HA_KEY_SWITCH_NONUNIQ      0
 #define HA_KEY_SWITCH_ALL          1

=== modified file 'drizzled/rename.h'
--- drizzled/rename.h	2008-11-12 17:42:40 +0000
+++ drizzled/rename.h	2009-01-05 07:47:52 +0000
@@ -21,11 +21,6 @@
 #ifndef DRIZZLED_RENAME_H
 #define DRIZZLED_RENAME_H
 
-
 bool drizzle_rename_tables(Session *session, TableList *table_list, bool silent);
-bool do_rename(Session *session, TableList *ren_table, char *new_db,
-                      char *new_table_name, char *new_table_alias,
-                      bool skip_error);
-
 
 #endif /* DRIZZLED_RENAME_H */

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-23 08:17:40 +0000
+++ drizzled/show.cc	2009-01-05 07:47:52 +0000
@@ -2405,8 +2405,8 @@
 */
 
 static uint32_t get_table_open_method(TableList *tables,
-                                  ST_SCHEMA_TABLE *schema_table,
-                                  enum enum_schema_tables)
+                                      ST_SCHEMA_TABLE *schema_table,
+                                      enum enum_schema_tables)
 {
   /*
     determine which method will be used for table opening

